/*配置中心的API*/
import { del, get, post, put } from '../axios/tools';


/**
 * 查询配置
 * @param params
 * @param headers
 * @returns {Promise<unknown>}
 */
export const configQueryConfigList = ({ params, headers = {} }) => get({ url: 'config/v1/property/config', params, headers });

/**
 * 添加属性配置
 * @param data
 * @returns {Promise<unknown>}
 */
export const configAddConfig = (data) => post({ url: 'config/v1/property/config', data });

/**
 * 编辑配置项
 * @param id
 * @param data
 * @returns {Promise<AxiosResponse<any>|never>}
 */
export function configEditConfig({ id, data }) {
    return put({ url: `config/v1/property/config/${id}`, data });
}

/**
 * 删除配置项
 * @param id
 * @returns {Promise<unknown>}
 */
export function configDelConfig(id) {
    return del({ url: `config/v1/property/config/${id}` });
}
